TechDraw "Указать диаметр"

From FreeCAD Documentation
Revision as of 21:50, 21 March 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Other languages:

TechDraw Dimension Diameter

Системное название
TechDraw Dimension Diameter
Расположение в меню
TechDraw → Dimension Diameter
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Description

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

Measuring a circle, indicating the diameter

Usage

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the Dimension Diameter button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Diameter tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)